Package com.io7m.idstore.shell.admin.internal

# Class IdAShellOptions

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAShellOptions

All Implemented Interfaces:
  `com.io7m.repetoir.core.RPServiceType`

public final class IdAShellOptions extends Object implements com.io7m.repetoir.core.RPServiceType
Shell options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAShellOptions(org.jline.terminal.Terminal inTerminal)`
  Shell options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Duration`
  `commandTimeout()`
  `String`
  `description()`
  `IdAFormatterType`
  `formatter()`
  `Duration`
  `loginTimeout()`
  `void`
  `setCommandTimeout(Duration t)`
  Set the command timeout.
  `void`
  `setFormatter(IdAFormatterType inFormatter)`
  Set the formatter.
  `void`
  `setLoginTimeout(Duration t)`
  Set the login timeout.
  `AtomicBoolean`
  `terminateOnErrors()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAShellOptions

    public IdAShellOptions(org.jline.terminal.Terminal inTerminal)
    Shell options.
    Parameters:
      `inTerminal` - The terminal

- ## Method Details

  - ### loginTimeout

    public Duration loginTimeout()
    Returns:
      The login timeout

  - ### commandTimeout

    public Duration commandTimeout()
    Returns:
      The command timeout

  - ### terminateOnErrors

    public AtomicBoolean terminateOnErrors()
    Returns:
      A flag indicating if the shell should exit on errors

  - ### setFormatter

    public void setFormatter(IdAFormatterType inFormatter)
    Set the formatter.
    Parameters:
      `inFormatter` - The formatter

  - ### formatter

    public IdAFormatterType formatter()
    Returns:
      The shell formatter

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`

  - ### setLoginTimeout

    public void setLoginTimeout(Duration t)
    Set the login timeout.
    Parameters:
      `t` - The timeout

  - ### setCommandTimeout

    public void setCommandTimeout(Duration t)
    Set the command timeout.
    Parameters:
      `t` - The timeout